Name: eject
Version: 2.0.13
Release: alt4

Summary: A program that ejects removable media using software control.
Group: System/Kernel and hardware
License: GPL

Source: http://ibiblio.org/pub/Linux/utils/disk-management/%name-%version.tar.bz2
Patch0: eject-2.0.5-alt.patch
Patch1: eject-2.0.13-rh-autoclose.patch
Patch2: eject-2.0.13-alt-mntent.patch
Patch3: eject-2.0.13-supersubmount.patch

%description
The %name program allows the user to eject removable media
(typically CD-ROMs, floppy disks or Iomega Jaz or Zip disks)
using software control.  Eject can also control some multi-
disk CD changers and even some devices' auto-eject features.

Install %name if you'd like to eject removable media using
software control.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install
                                                                                                    
%find_lang %name

%files -f %name.lang
%_bindir/*
%_mandir/man?/*
%doc README TODO ChangeLog

%changelog
* Tue May 11 2004 Sergey V Turchin <zerg at altlinux dot org> 2.0.13-alt4
- improve supermount patch for subfs

* Mon Apr 28 2003 Sergey V Turchin <zerg at altlinux dot ru> 2.0.13-alt3
- fix mntent && supermount patches
  thanx ldv

* Mon Apr 28 2003 Sergey V Turchin <zerg at altlinux dot ru> 2.0.13-alt1.1
- added mntent patch
- don't umount when supermount, but only if device presented 
  in /etc/fstab in traditional place too

* Fri Feb 21 2003 Stanislav Ievlev <inger@altlinux.ru> 2.0.13-alt1
- 2.0.13
- added autoclose patch from RH.

* Tue Sep 17 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.12-alt2
- rebuild with gcc3

* Mon Oct 08 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.12-alt1
- 2.0.12

* Mon Jul 09 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.10-alt1
- 2.0.10. Removed error()'s from alt patch (internationalization added in this version).

* Wed May 30 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.9-alt1
- 2.0.9 .
* Tue May 22 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.8-alt1
- 2.0.8 . Added patch that allow using of /proc/mounts instead /etc/mtab.

* Fri May 04 2001 Rider <rider@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Wed Apr 25 2001 Rider <rider@altlinux.ru> 2.0.3-alt1
- 2.0.3
- new program "volname"

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.2-ipl8mdk
- RE adaptions.

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-8mdk
- BM
- specfile cleanup
- macrozashions

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.2-7mdk
- fix group

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build Release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- solved a lot of problems by finding eject 2.0.2. :)

* Tue Feb 09 1999 Preston Brown <pbrown@redhat.com>
- patch to improve symlink handling folded into linux-2.2 patch

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jul 15 1998 Donnie Barnes <djb@redhat.com>
- added small patch to 1.5 for longer device names

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 1.5
- various spec file clean ups
- eject rocks!

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
